<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% block content %}
{% load i18n %}
{% load bootstrap3 %}
{% load ngfilter %}
{% bootstrap_css %}
{% bootstrap_javascript %}

<div ng-controller="cardAddController" class="ng-cloak">
  <h3>{{ "card.title" | ng}} ({{ "card.price | currency: '€'" | ng }})</h3>
  <div class="row">
    <table>
      <tr>
        <td class="my-narrow">{% trans "shelf" %}</td>
        <td>
          <select ng-model="shelf" ng-options="it.fields.name for it in shelfs" class="my-narrow"></select>
        </td>
        <td style="padding-left: 10em">
          <input value="{% trans 'Validate' %}" ng-click="validate()" class="btn btn-primary"/>
        </td>
      </tr>
      <tr>
        <td class="my-narrow">{% trans "supplier" %}</td>
        <td>
          <select ng-model="distributor" ng-options="it.repr for it in distributor_list" class="my-narrow"></select><a target="_blank" href="/admin/search/distributor/add">&nbsp;<i title="{% trans "Add a supplier" %}" class="glyphicon glyphicon-plus-sign"></i></a>
        </td>
      </tr>
      <tr>
        <td>{% trans "Minimal quantity before command" %}</td>
        <td>
          <form ng-submit="validate()">
            <input type="number" min="0" ng-model="threshold"/>
          </form>
        </td>
      </tr>
    </table>
  </div>

  <div ng-show="filtered_deposits.length" class="row">
    <h4>{% trans "Add to following deposits" %}:</h4>
    <table class="table table-condensed table-striped my-table-narrow">
      <tr ng-repeat="it in filtered_deposits">
        <td class="my-narrow">{{ "it.name" | ng }} ({{ "it.distributor" | ng }})</td>
        <td>
          <form ng-submit="validate()">
            <input type="number" min="0" ng-model="deposits[$index].quantity" ng-change="update_total_deposits()"/>
          </form>
        </td>
      </tr>
      <tr>
        <td></td>
        <td>{% trans "total" %}: {{ "total_deposits" | ng }}</td>
      </tr>
    </table>
  </div>

  <div class="row">
    <h4>{% trans "Add copies for each place" %}:</h4>
    <table class="table table-condensed my-table-narrow">
      <tr ng-repeat="it in places">
        <td class="my-narrow">{{ "it.name" | ng }}</td>
        <td>
          <form ng-submit="validate()">
            <input type="number" min="0" ng-model="places[$index].quantity" ng-change="update_total_places()"/>
          </form>
        </td>
      </tr>
    </table>
  </div>

  <div class="row">
    <h4>{% trans "Add to lists" %}:</h4>
    <table class="table table-condensed table-striped my-table-narrow">
      <tr ng-repeat="it in baskets">
        <td class="my-narrow">{{ "it.name" | ng }}</td>
        <td>
          <input type="number" min="0" ng-model="baskets[$index].quantity"/>
        </td>
      </tr>
    </table>
  </div>
</div>

{% endblock content %}
